Bug 961383 - SY quickstart camel-bus-cdi JDBS warning
SY quickstart camel-bus-cdi JDBS warning
Status: CLOSED NOTABUG
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples, SwitchYard (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: ---
Assigned To: Brian Fitzpatrick
ppecka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 09:58 EDT by ppecka
Modified: 2014-06-16 19:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When you import quickstart as a maven project, the system generates "SY quickstart camel-bus-cdi" warnings and errors in the JBDS environment. There is no functional impact.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 13:25:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1668 Minor Closed SY quickstart camel-bus-cdi JDBS warning 2014-06-16 19:51:07 EDT

  None (edit)
Description ppecka 2013-05-09 09:58:39 EDT
Description of problem:
Description	Resource	Path	Location	Type
Unused Capability: The "Camel Route" capability is configured on the project, but is not required by any SwitchYard binding or implementation types used in the project.	switchyard.xml	/switchyard-quickstart-camel-bus-cdi/src/main/resources/META-INF	Unknown	SwitchYard
Comment 1 ppecka 2013-05-14 04:00:39 EDT
Description:
Warnings/Errors found in JBDS "Problems" View, right after quickstart is imported as maven project.

steps to reproduce:
1. Start JBDS
2. import existing maven project
3. Window / Show View / Problems
4. check for errors
Comment 2 Brian Fitzpatrick 2013-08-23 09:25:01 EDT
PR for SWITCHYARD-1668 removes unnecessary camel component from pom, which removes the warning.
Comment 3 JBoss JIRA Server 2013-08-27 11:14:56 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1668

pushed
Comment 7 Andrej Podhradsky 2013-12-17 11:59:10 EST
The quickstart is missing in FSW 6.0.0.ER7
Comment 8 Keith Babo 2013-12-17 13:25:00 EST
This quickstart has been excluded from FSW deliberately.
Comment 9 JBoss JIRA Server 2014-06-16 19:51:08 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1668 to Closed

Note You need to log in before you can comment on or make changes to this bug.